Package ru.bitel.oss.kernel.directories.address.common.bean

# Class House.Builder

java.lang.Object
ru.bitel.oss.kernel.directories.address.common.bean.House.Builder

Enclosing class:
  House

public static class House.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `House`
  `build()`
  `House.Builder`
  `setAmount(int amount)`
  `House.Builder`
  `setArea(IdTitle area)`
  `House.Builder`
  `setAreaId(int id)`
  `House.Builder`
  `setCity(IdTitle city)`
  `House.Builder`
  `setComment(String comment)`
  `House.Builder`
  `setCountry(IdTitle country)`
  `House.Builder`
  `setFrac(String frac)`
  `House.Builder`
  `setHouse(int house)`
  `House.Builder`
  `setHouseAndFrac(String houseAndFrac)`
  `House.Builder`
  `setId(int id)`
  `House.Builder`
  `setParams(Map<String,String> params)`
  `House.Builder`
  `setPostIndex(String postIndex)`
  `House.Builder`
  `setQuarter(IdTitle quarter)`
  `House.Builder`
  `setQuarterId(int id)`
  `House.Builder`
  `setStreet(IdTitle street)`
  `House.Builder`
  `setStreetId(int id)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public House.Builder setId(int id)

  - ### setCountry

    public House.Builder setCountry(IdTitle country)

  - ### setCity

    public House.Builder setCity(IdTitle city)

  - ### setArea

    public House.Builder setArea(IdTitle area)

  - ### setAreaId

    public House.Builder setAreaId(int id)

  - ### setStreet

    public House.Builder setStreet(IdTitle street)

  - ### setStreetId

    public House.Builder setStreetId(int id)

  - ### setQuarter

    public House.Builder setQuarter(IdTitle quarter)

  - ### setQuarterId

    public House.Builder setQuarterId(int id)

  - ### setHouse

    public House.Builder setHouse(int house)

  - ### setFrac

    public House.Builder setFrac(String frac)

  - ### setHouseAndFrac

    public House.Builder setHouseAndFrac(String houseAndFrac)

  - ### setComment

    public House.Builder setComment(String comment)

  - ### setPostIndex

    public House.Builder setPostIndex(String postIndex)

  - ### setAmount

    public House.Builder setAmount(int amount)

  - ### setParams

    public House.Builder setParams(Map<String,String> params)

  - ### build

    public House build()